# `GTK4_jll.jl` (v4.12.5+0)

[![deps](https://juliahub.com/docs/GTK4_jll/deps.svg)](https://juliahub.com/ui/Packages/GTK4_jll/XRLGj?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/4268af1f0f108935c70248630dc8d2562a27eb32/G/GTK4/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `GTK4_jll.jl` have been built from these sources:

* compressed archive: https://download.gnome.org/sources/gtk/4.12/gtk-4.12.5.tar.xz (SHA256 checksum: `28b356d590ee68ef626e2ef9820b2dd21441484a9a042a5a3f0c40e9dfc4f4f8`)
* compressed archive: https://sourceforge.net/projects/mingw-w64/files/mingw-w64/mingw-w64-release/mingw-w64-v10.0.0.tar.bz2 (SHA256 checksum: `ba6b430aed72c63a3768531f6a3ffc2b0fde2c57a3b251450dcf489a894f0894`)

## Platforms

`GTK4_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Windows i686` (`i686-w64-mingw32`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `GTK4_jll.jl`:

* [`Cairo_jll`](https://github.com/JuliaBinaryWrappers/Cairo_jll.jl)
* [`Fontconfig_jll`](https://github.com/JuliaBinaryWrappers/Fontconfig_jll.jl)
* [`FreeType2_jll`](https://github.com/JuliaBinaryWrappers/FreeType2_jll.jl)
* [`FriBidi_jll`](https://github.com/JuliaBinaryWrappers/FriBidi_jll.jl)
* [`Glib_jll`](https://github.com/JuliaBinaryWrappers/Glib_jll.jl)
* [`Graphene_jll`](https://github.com/JuliaBinaryWrappers/Graphene_jll.jl)
* [`HarfBuzz_jll`](https://github.com/JuliaBinaryWrappers/HarfBuzz_jll.jl)
* [`Libepoxy_jll`](https://github.com/JuliaBinaryWrappers/Libepoxy_jll.jl)
* [`Libtiff_jll`](https://github.com/JuliaBinaryWrappers/Libtiff_jll.jl)
* [`Pango_jll`](https://github.com/JuliaBinaryWrappers/Pango_jll.jl)
* [`Wayland_jll`](https://github.com/JuliaBinaryWrappers/Wayland_jll.jl)
* [`Wayland_protocols_jll`](https://github.com/JuliaBinaryWrappers/Wayland_protocols_jll.jl)
* [`Xorg_libX11_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libX11_jll.jl)
* [`Xorg_libXcursor_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXcursor_jll.jl)
* [`Xorg_libXdamage_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXdamage_jll.jl)
* [`Xorg_libXext_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXext_jll.jl)
* [`Xorg_libXfixes_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXfixes_jll.jl)
* [`Xorg_libXi_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXi_jll.jl)
* [`Xorg_libXinerama_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXinerama_jll.jl)
* [`Xorg_libXrandr_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXrandr_jll.jl)
* [`Xorg_libXrender_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXrender_jll.jl)
* [`gdk_pixbuf_jll`](https://github.com/JuliaBinaryWrappers/gdk_pixbuf_jll.jl)
* [`iso_codes_jll`](https://github.com/JuliaBinaryWrappers/iso_codes_jll.jl)
* [`xkbcommon_jll`](https://github.com/JuliaBinaryWrappers/xkbcommon_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libgtk4`
* `ExecutableProduct`: `gtk4_builder_tool`
